﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054C: (1 year) VER IEEE /5800A+5Ch
DATE:                  2011-01-25 08:57:36
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       217
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3054C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal IEEE
#        Sub Tek TDS3000C Self-Test IEEE
#        Sub Tek TDS3000C Channel Select IEEE
#        Sub Tek TDS3000C (1 yr) DCV IEEE /5800
#        Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5800
#        Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5800
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5800
#        Sub Tek TDS3000C (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS3000C Trigger Chk and Level Adj IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         600MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.20x"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  HEAD         EQUIPMENT REQUIREMENTS
  1.015  OPBR         -z Do you want to REVIEW the list of additional
  1.015  OPBR         equipment and/or accessories required?

  1.016  IF           MEM1
  1.017  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module
  1.017  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.018  ENDIF

  1.019  HEAD         PRELIMINARY INSTRUCTIONS
  1.020  TARGET
  1.021  DISP         Ensure a minimum UUT warm-up time of at least
  1.021  DISP         20 minutes has been allowed to elapse, prior
  1.021  DISP         to beginning verification.

  1.022  CALL         Sub Tek TDS3000C SetUp IEEE
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  MATH         @UUT_Manufacturer = "Tektronix"
  1.025  MATH         @UUT_Model        = "TDS 3054C"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Tek TDS3000C Check Firmware Version
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.031  CALL         Sub Tek TDS3000C Sig Path Comp Cal IEEE
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Tek TDS3000C Self-Test IEEE
  1.034  JMPL         END                           @Abort

  1.035  DISP         Connect the 58xxA to the UUT as follows:
  1.035  DISP
  1.035  DISP         [32] Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.035  DISP         [32] Connect the 58xxA CHAN 2 to the UUT CH 2.
  1.035  DISP         [32] Connect the 58xxA CHAN 3 to the UUT CH 3.
  1.035  DISP         [32] Connect the 58xxA CHAN 4 to the UUT CH 4.

  1.036  MATH         @Chan = 1
  1.037  M5800                                                    C1
  1.038  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5800

  1.039  MATH         @Chan = 2
  1.040  M5800                                                    C2
  1.041  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5800

  1.042  MATH         @Chan = 3
  1.043  M5800                                                    C3
  1.044  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5800

  1.045  MATH         @Chan = 4
  1.046  M5800                                                    C4
  1.047  CALL         Sub Tek TDS3000C (1 yr) DCV IEEE /5800

  1.048  MATH         @Chan = 1
  1.049  M5800                                                    C1
  1.050  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5800

  1.051  MATH         @Chan = 2
  1.052  M5800                                                    C2
  1.053  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5800

  1.054  MATH         @Chan = 3
  1.055  M5800                                                    C3
  1.056  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5800

  1.057  MATH         @Chan = 4
  1.058  M5800                                                    C4
  1.059  CALL         Sub Tek TDS3000C (1 yr) Bandwidth IEEE /5800

  1.060  MATH         @Chan = 1
  1.061  M5800                                                    C1
  1.062  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5800

  1.063  MATH         @Chan = 2
  1.064  M5800                                                    C2
  1.065  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5800

  1.066  MATH         @Chan = 3
  1.067  M5800                                                    C3
  1.068  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5800

  1.069  MATH         @Chan = 4
  1.070  M5800                                                    C4
  1.071  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig IEEE /5800

  1.072  MATH         @Chan = 1
  1.073  M5800                                                    C1
  1.074  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5800

  1.075  MATH         @Chan = 2
  1.076  M5800                                                    C2
  1.077  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5800

  1.078  MATH         @Chan = 3
  1.079  M5800                                                    C3
  1.080  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5800

  1.081  MATH         @Chan = 4
  1.082  M5800                                                    C4
  1.083  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig IEEE /5800

  1.084  MATH         @Chan = 1
  1.085  M5800                                                    C1
  1.086  CALL         Sub Tek TDS3000C (1 yr) Sample Rate IEEE /5800

  1.087  LABEL        END
  1.088  HEAD         -2

  1.089  IF           @Abort
  1.090  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.091  ELSE
  1.092  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.093  ENDIF

  1.094  END
